# set $start, $repeats, and decide about COMPTRACE

trap "kill 0; exit 1" SIGHUP SIGINT SIGQUIT SIGTERM

[ $# -lt 2 ] && {
	echo "usage: $0 <results dir> <number of jobs>"
	exit 1
}

resdir=$1
numjobs=$2
shift 2
[ -d $resdir ] || { echo $resdir does not exist; exit 1; }
start=1
repeats=50

runexp="$(dirname $0)/runexp.sh noprog nosplit"

function waitjobs() {
	while [ $(jobs -r|fgrep Running|wc -l) -ge $numjobs ]; do sleep 10; done
}

function waitend() {
	while [ $(jobs -r|fgrep Running|wc -l) -ge 1 ]; do sleep 10; done
}

function addenv() {
	addenv="$addenv $1"
}

function clearenv() {
	addenv=""
}

function submit() {
	version=$1
	shift
	waitjobs
	for ((k=$start;k<=$repeats;k++)); do
		cmd="FLOWTRACE=$resdir/flows-$version.$k.tr"
		cmd="$cmd $addenv"
#		cmd="$cmd COMPTRACE=$resdir/comp-$version.$k.tr"
		cmd="$cmd SEED=$k $*"
		echo $cmd
		eval "$cmd"
	done &
}
