#!/bin/bash
source $(dirname $0)/../defs
gnuplot <<EOF
set terminal postscript eps enhanced monochrome "Helvetica" 32
set output "$pdir/markov.eps"
#set dgrid3d
#set hidden3d

set xlabel "Relative Arrival Rate"
set xlabel offset 0,-1 
set xtics offset 0,-0.5

set ylabel "Delay Target (slots)"
set ylabel offset 0,-1.5
set ytics offset 0.5,-0.5
set logscale y

set zlabel "Relative Throughput" rotate by 90
set zrange [0.75:1.05]
set ztics format "%1.2f"

splot "$ddir/markov" using 1:2:(\$3/\$4) with lines title "DSF"
EOF

gnuplot <<EOF
set terminal postscript eps enhanced monochrome "Helvetica" 32
set output "$pdir/fifo-loss.eps"
set xlabel "Delay Target"
set logscale x
set ylabel "Loss" rotate by 90
set yrange [0:1]
set style data lines
plot "$ddir/fifo-loss" using 2:3 notitle
EOF

gnuplot <<EOF
set terminal postscript eps enhanced monochrome "Helvetica" 32
set output "$pdir/fifo-late.eps"
set xlabel "Delay Target"
set logscale x
set ylabel "Late Packets" rotate by 90
set yrange [0:1]
set style data lines
plot "$ddir/fifo-late" using 2:3 notitle
EOF

gnuplot <<EOF
set terminal postscript eps enhanced monochrome "Helvetica" 32
set output "$pdir/dsf-markov-loss.eps"
set xlabel "Relative Arrival Rate"
set xrange [0.04:0.96]
set ylabel "Loss" rotate by 90
set yrange [-0.01:0.15]
set key at 0.8, 0.03
plot \
"$ddir/dsf-markov-loss" using 1:3 lt 2 with lines title "loss (Class 1)",\
"$ddir/dsf-markov-loss" using 1:4 lt 3 with lines title "loss (Class 2)",\
"$ddir/dsf-markov-loss" using 1:5 lt 1 with lines title "normalized loss"
EOF

gnuplot <<EOF
set terminal postscript eps enhanced "Helvetica" 24
set output "$pdir/dsfMarkov.eps"
#set dgrid3d
#set hidden3d

set logscale x
set xlabel "Relative Arrival Rate"
set xlabel offset 0,-1.5
set xtics offset 0,-0.5 font "Helvetica,20"

set logscale y
set ylabel "Delay Target (slots)"
set ylabel offset 0,-2.25
set ytics offset 0.5,-0.5 font "Helvetica,20"

set zlabel "TI^2" rotate by 90
set zlabel offset 1.5
set zrange [0:.5]
set ztics format "%1.2f" font "Helvetica,20"

splot "$ddir/dsfMarkov" using 1:2:3 with lines notitle
EOF

gnuplot <<EOF
set terminal postscript eps enhanced "Helvetica" 24
set output "$pdir/vifqMarkov.eps"
#set dgrid3d
#set hidden3d

set logscale x
set xlabel "Relative Arrival Rate"
set xlabel offset 0,-1.5
set xtics offset 0,-0.5 font "Helvetica,20"

set logscale y
set ylabel "Delay Target (slots)"
set ylabel offset 0,-2.25
set ytics offset 0.5,-0.5 font "Helvetica,20"

set zlabel "TI^2" rotate by 90
set zlabel offset 1.5
set zrange [0:.5]
set ztics format "%1.2f" font "Helvetica,20"

splot "$ddir/vifqMarkov" using 1:2:3 with lines notitle
EOF
