#!/bin/bash
source $(dirname $0)/../defs
gnuplot <<EOF
set terminal postscript eps enhanced monochrome "Helvetica" 32

set style data histograms
set style histogram rowstacked

set key outside invert horizontal top center

set xrange [-1:20]
set x2range [-1:20]

set xtics ("100" 2, "200" 9, "400" 16, "800" 25)
set xtics nomirror
set xlabel "Bottleneck Link Speed (Mbit/s)"
set ylabel "Link Utilization" offset 2
set x2tics rotate 90  font ",26"

set style fill pattern border

set output "$pdir/$EXP-thr.eps"
set ylabel "Link Utilization"
set ytics (0, 0.2, 0.4, 0.6, 0.8, 1.0)
plot '$ddir/$EXP' \
    using 2:x2tic(14) lt 1 fs pattern 3 t "5ms",\
 '' using 4 lt 2 fs pattern 1 t "100ms",\
 '' using 3 lt 3 fs empty t "20ms",\
 '' using 5 lt 4 fs pattern 2 t "200ms"

set output "$pdir/$EXP-tcp.eps"
set ytics (0, 0.1, 0.2, 0.3, 0.4, 0.5)
plot '$ddir/$EXP' \
    using (\$6+\$7+\$8+\$9):x2tic(14) fs empty t "TC3",\
 '' using (\$10+\$11+\$12+\$13) fs pattern 2 t "TC4"
EOF

exit 0

gnuplot <<EOF
set terminal postscript eps enhanced monochrome "Helvetica" 32
set output "$pdir/$EXP-tcp.eps"

set ylabel "Average Goodput R20 (Kbit/s)" offset 2
set y2label "Average Goodput R200 (Kbit/s)" offset -1.5
set xlabel "Traffic/Service Class"

b(x)=8*x/60000
set xrange[0.5:9.5]
set xtics font "Helvetica, 24"
#set xtics ('R20' 1,'R200' 2, 'R20' 3,'R200' 4, 'R20' 5,'R200' 6)
set ytics nomirror
set xtics nomirror
set y2tics
set x2tics font "Helvetica, 20" rotate 90
set style data candlesticks
set boxwidth 0.3
plot "$ddir/$EXP-tcp-2"\
   every 3::0 using (\$1-0.2):(b(\$4)):(b(\$3)):(b(\$7)):(b(\$6)) whiskerbars lt 1 notitle,\
'' every 3::0 using (\$1-0.2):(b(\$2)):(b(\$2)):(b(\$2)):(b(\$2)):x2ticlabels(8) lt 1 notitle,\
'' every 3::1 using (\$1-0.2):(b(\$4)):(b(\$3)):(b(\$7)):(b(\$6)) whiskerbars lt 1 notitle,\
'' every 3::1 using (\$1-0.2):(b(\$2)):(b(\$2)):(b(\$2)):(b(\$2)):x2ticlabels(8) lt 1 notitle,\
'' every 3::2 using (\$1-0.2):(b(\$4)):(b(\$3)):(b(\$7)):(b(\$6)) whiskerbars lt 1 notitle,\
'' every 3::2 using (\$1-0.2):(b(\$2)):(b(\$2)):(b(\$2)):(b(\$2)):x2ticlabels(8) lt 1 notitle,\
     "$ddir/$EXP-tcp-3"\
   every 3::0 using (\$1+0.2):(b(\$4)):(b(\$3)):(b(\$7)):(b(\$6)) whiskerbars lt 1 notitle axes x1y2,\
'' every 3::0 using (\$1+0.2):(b(\$2)):(b(\$2)):(b(\$2)):(b(\$2)):x2ticlabels(8) lt 1 notitle axes x1y2,\
'' every 3::1 using (\$1+0.2):(b(\$4)):(b(\$3)):(b(\$7)):(b(\$6)) whiskerbars lt 1 notitle axes x1y2,\
'' every 3::1 using (\$1+0.2):(b(\$2)):(b(\$2)):(b(\$2)):(b(\$2)):x2ticlabels(8) lt 1 notitle axes x1y2,\
'' every 3::2 using (\$1+0.2):(b(\$4)):(b(\$3)):(b(\$7)):(b(\$6)) whiskerbars lt 1 notitle axes x1y2,\
'' every 3::2 using (\$1+0.2):(b(\$2)):(b(\$2)):(b(\$2)):(b(\$2)):x2ticlabels(8) lt 1 notitle axes x1y2
EOF
